Bug 12727 - Lookup-domain for well-known SIDs on a DC
Lookup-domain for well-known SIDs on a DC
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
unspecified
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-31 06:29 UTC by Ralph Böhme
Modified: 2017-04-21 06:55 UTC (History)
1 user (show)

See Also:


Attachments
Patch for 4.5 and 4.6 cherry-picked from master (9.33 KB, patch)
2017-04-07 09:18 UTC, Ralph Böhme
metze: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Böhme 2017-03-31 06:29:42 UTC
On a DC winbindd can't figure out a lookup-domain for well-known SIDs like S-1-1-0 (everyone), eg this fails:

$ ./bin/wbinfo --sid-to-name S-1-1-0
failed to call wbcLookupSid: WBC_ERR_DOMAIN_NOT_FOUND
Could not lookup sid S-1-1-0

Have patch, need bugnumber.
Comment 1 Ralph Böhme 2017-04-07 09:18:06 UTC
Created attachment 13144 [details]
Patch for 4.5 and 4.6 cherry-picked from master
Comment 2 Karolin Seeger 2017-04-19 09:26:39 UTC
Pushed to autobuild-v4-{6,5}-test.
Comment 3 Karolin Seeger 2017-04-21 06:55:26 UTC
(In reply to Karolin Seeger from comment #2)
Pushed to both branches.
Closing out bug report.

Thanks!